@import url('https://fonts.googleapis.com/css2?family=IBM+Plex+Sans:ital,wght@0,100..700;1,100..700&display=swap');

body {
    margin: 0;
    padding: 0;
    background-color: #111;
    color: white;
    font-family: 'IBM Plex Sans', sans-serif;
}

::selection {
    background-color: #D2FF00;
    color: black;
}

.navbar {
    background-color:#D2FF00;
    height: 5rem;
    display: flex;
    justify-content: center;
    align-items: center;
}

.buttonNavbar {
    transition: background-color 0.2s, color 0.2s;
    transition: color 0.2s, color 0.2s;
    background-color: #111;
    color: white;
    border: 1px solid #D2FF00;
    padding: 0.5rem 1rem;
    margin: 0 0.33rem;
    cursor: pointer;
    font-family: 'IBM Plex Sans', sans-serif;
    font-size: 1rem;
}

.buttonNavbar:hover {
    transition: background-color 0.2s, color 0.2s;
    transition: color 0.2s, color 0.2s;
    background-color: #ffffff;
    color: black;
}

.dashboardContainer {
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
}

.fluxoMonetarioContainer {
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
}

.dashboard-container {
    width: 100%;
    max-width: 1400px;
    background: var(--card-bg);
    border-radius: var(--border-radius);
    box-shadow: 0 25px 50px -12px rgba(0, 0, 0, 0.04);
    padding: 45px;
    border: 1px solid rgba(255, 255, 255, 0.6);
}

.chart-wrapper {
    background: #ffffff;
    border-radius: 16px;
    padding: 10px;
    border: 1px solid #e2e8f0;
}